%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 13;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate tokio

Name:           rust-tokio0.1
Version:        0.1.22
Release:    1%{?dist}
Summary:        Platform for writing asynchronous I/O backed applications

License:        MIT
URL:            https://crates.io/crates/tokio
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
An event-driven, non-blocking I/O platform for writing asynchronous I/O
backed applications.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bytes-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bytes-devel %{_description}

This package contains library source intended for building other packages which
use the "bytes" feature of the "%{crate}" crate.

%files       -n %{name}+bytes-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+codec-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+codec-devel %{_description}

This package contains library source intended for building other packages which
use the "codec" feature of the "%{crate}" crate.

%files       -n %{name}+codec-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+experimental-tracing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+experimental-tracing-devel %{_description}

This package contains library source intended for building other packages which
use the "experimental-tracing" feature of the "%{crate}" crate.

%files       -n %{name}+experimental-tracing-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fs-devel %{_description}

This package contains library source intended for building other packages which
use the "fs" feature of the "%{crate}" crate.

%files       -n %{name}+fs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+io-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+io-devel %{_description}

This package contains library source intended for building other packages which
use the "io" feature of the "%{crate}" crate.

%files       -n %{name}+io-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mio-devel %{_description}

This package contains library source intended for building other packages which
use the "mio" feature of the "%{crate}" crate.

%files       -n %{name}+mio-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+num_cpus-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+num_cpus-devel %{_description}

This package contains library source intended for building other packages which
use the "num_cpus" feature of the "%{crate}" crate.

%files       -n %{name}+num_cpus-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+reactor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+reactor-devel %{_description}

This package contains library source intended for building other packages which
use the "reactor" feature of the "%{crate}" crate.

%files       -n %{name}+reactor-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rt-full-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rt-full-devel %{_description}

This package contains library source intended for building other packages which
use the "rt-full" feature of the "%{crate}" crate.

%files       -n %{name}+rt-full-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sync-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sync-devel %{_description}

This package contains library source intended for building other packages which
use the "sync" feature of the "%{crate}" crate.

%files       -n %{name}+sync-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tcp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tcp-devel %{_description}

This package contains library source intended for building other packages which
use the "tcp" feature of the "%{crate}" crate.

%files       -n %{name}+tcp-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+timer-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+timer-devel %{_description}

This package contains library source intended for building other packages which
use the "timer" feature of the "%{crate}" crate.

%files       -n %{name}+timer-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-codec-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-codec-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-codec" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-codec-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-current-thread-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-current-thread-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-current-thread" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-current-thread-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-executor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-executor-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-executor" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-executor-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-fs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-fs-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-fs" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-fs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-io-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-io-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-io" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-io-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-reactor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-reactor-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-reactor" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-reactor-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-sync-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-sync-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-sync" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-sync-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-tcp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-tcp-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-tcp" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-tcp-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-threadpool-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-threadpool-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-threadpool" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-threadpool-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-timer-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-timer-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-timer" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-timer-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-udp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-udp-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-udp" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-udp-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-uds-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-uds-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-uds" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-uds-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tracing-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tracing-core-devel %{_description}

This package contains library source intended for building other packages which
use the "tracing-core" feature of the "%{crate}" crate.

%files       -n %{name}+tracing-core-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+udp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+udp-devel %{_description}

This package contains library source intended for building other packages which
use the "udp" feature of the "%{crate}" crate.

%files       -n %{name}+udp-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+uds-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+uds-devel %{_description}

This package contains library source intended for building other packages which
use the "uds" feature of the "%{crate}" crate.

%files       -n %{name}+uds-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.22-1
- initial build
